Release Engineering

This project is intented for all release related issues (isos, installer, etc), under the umbrella of the ArchLinux Release Engineers
Tasklist

FS#30796 - 2011.08.19 install images do not have glibc upgrade,

Attached to Project: Release Engineering
Opened by Michael Rasmussen (MichaelRpdx) - Sunday, 22 July 2012, 01:24 GMT
Last edited by Dave Reisner (falconindy) - Sunday, 22 July 2012, 01:38 GMT
Task Type Bug Report
Category ArchISO
Status Closed
Assigned To No-one
Architecture All
Severity Critical
Priority Normal
Reported Version 2011.08.19
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

After installing core from ISO one of the first normal tasks is `pacman -Syu`
This fails due to the glibc upgrade that has occured.

Attempting to upgrade glibc by itself with
pacman -U http://pkgbuild.com/~allan/glibc-2.16.0-1-<arch>.pkg.tar.xz

fails with:
error: failed to commit transaction (conflicting files)
glibc: /usr/bin/tzselect exists in filesystem
glibc: /usr/sbin/zdump exists in filesystem
glibc: /usr/sbin/zic exists in filesystem

This task depends upon

Closed by  Dave Reisner (falconindy)
Sunday, 22 July 2012, 01:38 GMT
Reason for closing:  Won't fix
Additional comments about closing:  My time machine is broken -- unable to travel back in time to fix this one. core ISOs are no longer supported.
Comment by Daniel Wallace (gtmanfred) - Sunday, 22 July 2012, 01:34 GMT
which is why there is a blog post about it http://allanmcrae.com/2012/07/updating-arch-linux-from-a-core-install/

not like it will matter that much longer... coreiso is going to be removed

Loading...